using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.Serialization;

namespace NewRock.Sdk.Control.Response
{
    [XmlRoot("Status")]
    public class QueryOuterResponse:NewRockResponse
    {
        [XmlElement("outer")]
        public QueryOuterOuterResponse Outer { get; set; }
    }

    public class QueryOuterOuterResponse
    {
        [XmlAttribute("id")]
        public string Id { get; set; }

        [XmlAttribute("from")]
        public string From { get; set; }

        [XmlAttribute("to")]
        public string To { get; set; }

        [XmlAttribute("trunk")]
        public string Trunk { get; set; }

        [XmlAttribute("callid")]
        public string CallId { get; set; }

        [XmlElement("state")]
        public string State { get; set; }
    }
}
